Index: TXM/trunk/bundles/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/Messages.java
===================================================================
--- TXM/trunk/bundles/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/Messages.java	(revision 0)
+++ TXM/trunk/bundles/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/Messages.java	(revision 3835)
@@ -0,0 +1,15 @@
+package org.txm.chartsengine.jfreechart.core;
+
+import org.eclipse.osgi.util.NLS;
+
+public class Messages extends NLS {
+	private static final String BUNDLE_NAME = Messages.class.getPackageName() + ".messages"; //$NON-NLS-1$
+	public static String JFCChartsEngine_0;
+	static {
+		// initialize resource bundle
+		NLS.initializeMessages(BUNDLE_NAME, Messages.class);
+	}
+
+	private Messages() {
+	}
+}

Property changes on: TXM/trunk/bundles/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/Messages.java
___________________________________________________________________
Added: svn:mime-type
   + text/plain

Index: TXM/trunk/bundles/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/renderers/MultipleItemsSelector.java
===================================================================
--- TXM/trunk/bundles/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/renderers/MultipleItemsSelector.java	(revision 3834)
+++ TXM/trunk/bundles/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/renderers/MultipleItemsSelector.java	(revision 3835)
@@ -354,7 +354,7 @@
 		else if (this.renderer.getPlot() instanceof CategoryPlot) {
 			
 			// FIXME: not yet implemented
-			System.err.println("MultipleItemsSelector.selectNextItem(): category plot selection is not yet implemented.");
+			System.err.println("MultipleItemsSelector.selectNextItem(): category plot selection is not yet implemented."); //$NON-NLS-1$
 			// CategoryPlot plot = (CategoryPlot) this.renderer.getPlot();
 			// CategoryDataset dataset = plot.getDataset();
 			//
@@ -443,7 +443,7 @@
 			// Category plot
 			else if (this.renderer.getPlot() instanceof CategoryPlot) {
 				// FIXME: not yet implemented
-				System.err.println("MultipleItemsSelector.selectPreviousItem(): category plot selection is not yet implemented.");
+				System.err.println("MultipleItemsSelector.selectPreviousItem(): category plot selection is not yet implemented."); //$NON-NLS-1$
 			}
 			
 			
@@ -463,7 +463,7 @@
 			// Category plot
 			else if (this.renderer.getPlot() instanceof CategoryPlot) {
 				// FIXME: not yet implemented
-				System.err.println("MultipleItemsSelector.selectPreviousItem(): category plot selection is not yet implemented.");
+				System.err.println("MultipleItemsSelector.selectPreviousItem(): category plot selection is not yet implemented."); //$NON-NLS-1$
 			}
 			
 		}
Index: TXM/trunk/bundles/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/JFCChartsEngine.java
===================================================================
--- TXM/trunk/bundles/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/JFCChartsEngine.java	(revision 3834)
+++ TXM/trunk/bundles/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/JFCChartsEngine.java	(revision 3835)
@@ -63,7 +63,7 @@
 	/**
 	 * The charts engine description.
 	 */
-	public final static String DESCRIPTION = "JFreeChart";
+	public final static String DESCRIPTION = Messages.JFCChartsEngine_0;
 	
 	/**
 	 * The rendering theme.
@@ -449,7 +449,7 @@
 			return exportChartToFile(chart, file, outputFormat, imageWidth, imageHeight); // create & write a
 		}
 		else {
-			Log.severe("Error: the chart is not a JFreeChart " + chart + " " + result);
+			Log.severe("Error: the chart is not a JFreeChart " + chart + " " + result); //$NON-NLS-2$
 			return null;
 		}
 	}
@@ -532,15 +532,15 @@
 			
 			// JFreeSVG generates rgba(x,x,x,x.x) CSS style which is part of SVG version 2. It's incompatible with the actual Batik version used by TXM to display SVG Files
 			// To fix this, replace from rgba() to rgb(), e.g.: stroke: rgba(255,0,0,0.352941);stroke-opacity: 1.0
-			svg = svg.replaceAll("rgba\\(([0-9]+),([0-9]+),([0-9]+),([0-9\\.]+)\\);(stroke|fill)-opacity: [0-9\\.]+", "rgb\\($1,$2,$3\\);$5-opacity: $4"); //$NON-NLS-1$
+			svg = svg.replaceAll("rgba\\(([0-9]+),([0-9]+),([0-9]+),([0-9\\.]+)\\);(stroke|fill)-opacity: [0-9\\.]+", "rgb\\($1,$2,$3\\);$5-opacity: $4"); //$NON-NLS-1$ //$NON-NLS-2$
 			// second pass
-			svg = svg.replaceAll("rgba\\(([0-9]+),([0-9]+),([0-9]+),[0-9\\.]+\\)", "rgb\\($1,$2,$3\\)"); //$NON-NLS-1$
+			svg = svg.replaceAll("rgba\\(([0-9]+),([0-9]+),([0-9]+),[0-9\\.]+\\)", "rgb\\($1,$2,$3\\)"); //$NON-NLS-1$ //$NON-NLS-2$
 			
 			// fix angular line join bug in step charts #1056
-			svg = svg.replaceAll("<svg ", "<svg style=\"stroke-linecap:square;\" "); //$NON-NLS-1$
+			svg = svg.replaceAll("<svg ", "<svg style=\"stroke-linecap:square;\" "); //$NON-NLS-1$ //$NON-NLS-2$
 			
 			// fix double ;; character bug #1554
-			svg = svg.replaceAll("(;)(; )(stroke|fill)", "$2$3"); //$NON-NLS-1$
+			svg = svg.replaceAll("(;)(; )(stroke|fill)", "$2$3"); //$NON-NLS-1$ //$NON-NLS-2$
 			
 			
 			
@@ -782,17 +782,17 @@
 			// mapper.insertDirectory("C:/Tools/Coding/Java/jdk1.7.0_45/jre/lib/fonts/");
 			
 			// Windows
-			mapper.insertDirectory(System.getenv().get("SystemRoot") + "/Fonts/");
+			mapper.insertDirectory(System.getenv().get("SystemRoot") + "/Fonts/"); //$NON-NLS-1$ //$NON-NLS-2$
 			
 			// Linux
-			mapper.insertDirectory("/usr/share/fonts/");
-			mapper.insertDirectory("/usr/local/share/fonts/");
-			mapper.insertDirectory(System.getProperty("user.home") + "/.fonts");
+			mapper.insertDirectory("/usr/share/fonts/"); //$NON-NLS-1$
+			mapper.insertDirectory("/usr/local/share/fonts/"); //$NON-NLS-1$
+			mapper.insertDirectory(System.getProperty("user.home") + "/.fonts"); //$NON-NLS-1$ //$NON-NLS-2$
 			
 			// Mac
-			mapper.insertDirectory(System.getProperty("user.home") + "/Library/Fonts");
-			mapper.insertDirectory("/System/Library/Fonts");
-			mapper.insertDirectory("/Library/Fonts");
+			mapper.insertDirectory(System.getProperty("user.home") + "/Library/Fonts"); //$NON-NLS-1$ //$NON-NLS-2$
+			mapper.insertDirectory("/System/Library/Fonts"); //$NON-NLS-1$
+			mapper.insertDirectory("/Library/Fonts"); //$NON-NLS-1$
 			
 			
 			
Index: TXM/trunk/bundles/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/preferences/JFCChartsEnginePreferences.java
===================================================================
--- TXM/trunk/bundles/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/preferences/JFCChartsEnginePreferences.java	(revision 3834)
+++ TXM/trunk/bundles/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/preferences/JFCChartsEnginePreferences.java	(revision 3835)
@@ -14,7 +14,7 @@
 public class JFCChartsEnginePreferences extends TXMPreferences {
 	
 	
-	public final static String PREFERENCES_PREFIX = JFCChartsEngine.NAME + "_";
+	public final static String PREFERENCES_PREFIX = JFCChartsEngine.NAME + "_"; //$NON-NLS-1$
 	
 	public static final String OUTPUT_FORMAT = PREFERENCES_PREFIX + "output_format"; //$NON-NLS-1$
 	
Index: TXM/trunk/bundles/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/messages.properties
===================================================================
--- TXM/trunk/bundles/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/messages.properties	(revision 0)
+++ TXM/trunk/bundles/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/messages.properties	(revision 3835)
@@ -0,0 +1 @@
+JFCChartsEngine_0=JFreeChart

Property changes on: TXM/trunk/bundles/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/messages.properties
___________________________________________________________________
Added: svn:mime-type
   + text/plain

Index: TXM/trunk/bundles/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/themes/highcharts/defaulttheme/swing/CustomHTMLToolTip.java
===================================================================
--- TXM/trunk/bundles/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/themes/highcharts/defaulttheme/swing/CustomHTMLToolTip.java	(revision 3834)
+++ TXM/trunk/bundles/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/themes/highcharts/defaulttheme/swing/CustomHTMLToolTip.java	(revision 3835)
@@ -55,7 +55,7 @@
 	public static String getDefaultHTMLBody(IRendererWithItemSelection renderer, String hexBorderColor) {
 		
 		// FIXME: tests
-		return "<html><body>";
+		return "<html><body>"; //$NON-NLS-1$
 		
 		// return "<head>"
 		// + "<style>"
Index: TXM/trunk/bundles/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/themes/highcharts/defaulttheme/renderers/ItemSelectionXYSplineRenderer.java
===================================================================
--- TXM/trunk/bundles/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/themes/highcharts/defaulttheme/renderers/ItemSelectionXYSplineRenderer.java	(revision 3834)
+++ TXM/trunk/bundles/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/themes/highcharts/defaulttheme/renderers/ItemSelectionXYSplineRenderer.java	(revision 3835)
@@ -113,12 +113,12 @@
 				
 				// Hexadecimal color
 				Color color = (Color) getSeriesPaint(series);
-				String hex = "#" + Integer.toHexString(color.getRGB()).substring(2);
+				String hex = "#" + Integer.toHexString(color.getRGB()).substring(2); //$NON-NLS-1$
 				
 				XYSeriesCollection xyDataset = (XYSeriesCollection) dataset;
-				return CustomHTMLToolTip.getDefaultHTMLBody(renderer, hex) + "<p><span style=\"color: " + hex + ";\">" + xyDataset.getSeriesKey(series) + "</span></p><p><b>" + xyDataset.getSeries(
+				return CustomHTMLToolTip.getDefaultHTMLBody(renderer, hex) + "<p><span style=\"color: " + hex + ";\">" + xyDataset.getSeriesKey(series) + "</span></p><p><b>" + xyDataset.getSeries( //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
 						series).getY(item)
-						+ ChartsEngineCoreMessages.EMPTY + " </b><b>" + xyDataset.getSeries(series).getX(item) + "</b></p></body><html>";
+						+ ChartsEngineCoreMessages.EMPTY + " </b><b>" + xyDataset.getSeries(series).getX(item) + "</b></p></body><html>"; //$NON-NLS-1$ //$NON-NLS-2$
 			}
 		});
 		
Index: TXM/trunk/bundles/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/themes/highcharts/defaulttheme/renderers/ItemSelectionXYLineAndShapeRenderer.java
===================================================================
--- TXM/trunk/bundles/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/themes/highcharts/defaulttheme/renderers/ItemSelectionXYLineAndShapeRenderer.java	(revision 3834)
+++ TXM/trunk/bundles/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/themes/highcharts/defaulttheme/renderers/ItemSelectionXYLineAndShapeRenderer.java	(revision 3835)
@@ -91,7 +91,7 @@
 		this.chart = chart;
 		
 		// Default Values format
-		String pattern = new String("#0.####");
+		String pattern = new String("#0.####"); //$NON-NLS-1$
 		this.valuesNumberFormat = new DecimalFormat(pattern);
 		
 		
@@ -129,7 +129,7 @@
 				
 				// Hexadecimal color
 				Color color = (Color) getSeriesPaint(series);
-				String hex = "#" + Integer.toHexString(color.getRGB()).substring(2);
+				String hex = "#" + Integer.toHexString(color.getRGB()).substring(2); //$NON-NLS-1$
 				
 				XYSeriesCollection xyDataset = (XYSeriesCollection) dataset;
 				
@@ -145,8 +145,8 @@
 				}
 				
 				
-				return CustomHTMLToolTip.getDefaultHTMLBody(renderer, hex) + "<p><span style=\"color: " + hex + ";\">" + label + "</span></p><p>" + xyDataset.getSeriesKey(series)
-						+ ChartsEngineCoreMessages.EMPTY + " <b>" + valuesNumberFormat.format(xyDataset.getSeries(series).getY(item)) + "</b></p></body><html>";
+				return CustomHTMLToolTip.getDefaultHTMLBody(renderer, hex) + "<p><span style=\"color: " + hex + ";\">" + label + "</span></p><p>" + xyDataset.getSeriesKey(series) //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
+						+ ChartsEngineCoreMessages.EMPTY + " <b>" + valuesNumberFormat.format(xyDataset.getSeries(series).getY(item)) + "</b></p></body><html>"; //$NON-NLS-1$ //$NON-NLS-2$
 			}
 		});
 	}
Index: TXM/trunk/bundles/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/themes/highcharts/defaulttheme/renderers/ItemSelectionXYStepRenderer.java
===================================================================
--- TXM/trunk/bundles/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/themes/highcharts/defaulttheme/renderers/ItemSelectionXYStepRenderer.java	(revision 3834)
+++ TXM/trunk/bundles/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/themes/highcharts/defaulttheme/renderers/ItemSelectionXYStepRenderer.java	(revision 3835)
@@ -108,12 +108,12 @@
 				
 				// Hexadecimal color
 				Color color = (Color) getSeriesPaint(series);
-				String hex = "#" + Integer.toHexString(color.getRGB()).substring(2);
+				String hex = "#" + Integer.toHexString(color.getRGB()).substring(2); //$NON-NLS-1$
 				XYSeriesCollection xyDataset = (XYSeriesCollection) dataset;
 				
-				return CustomHTMLToolTip.getDefaultHTMLBody(renderer, hex) + "<p><span style=\"color: " + hex + ";\">" + xyDataset.getSeriesKey(series)
-						+ "</span></p><p><b>" + RendererUtils.valuesNumberFormat.format(xyDataset.getSeries(series).getY(item)) + ChartsEngineCoreMessages.EMPTY
-						+ " </b><b>" + RendererUtils.valuesNumberFormat.format(xyDataset.getSeries(series).getX(item)) + "</b></p></body><html>";
+				return CustomHTMLToolTip.getDefaultHTMLBody(renderer, hex) + "<p><span style=\"color: " + hex + ";\">" + xyDataset.getSeriesKey(series) //$NON-NLS-1$ //$NON-NLS-2$
+						+ "</span></p><p><b>" + RendererUtils.valuesNumberFormat.format(xyDataset.getSeries(series).getY(item)) + ChartsEngineCoreMessages.EMPTY //$NON-NLS-1$
+						+ " </b><b>" + RendererUtils.valuesNumberFormat.format(xyDataset.getSeries(series).getX(item)) + "</b></p></body><html>"; //$NON-NLS-1$ //$NON-NLS-2$
 			}
 		});
 	}
@@ -507,7 +507,7 @@
 			Font font = getDefaultItemLabelFont();
 			
 			// compute the multi line label bounds
-			String[] lines = label.split("\n");
+			String[] lines = label.split("\n"); //$NON-NLS-1$
 			double width = 0;
 			double height = 0;
 			for (int i = 0; i < lines.length; i++) {
@@ -577,7 +577,7 @@
 	 * @return
 	 */
 	public String getSelectedItemLabelFromDataset(XYDataset dataset, int series, int item) {
-		return "test label";
+		return "test label"; //$NON-NLS-1$
 	}
 	
 	@Override
Index: TXM/trunk/bundles/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/themes/highcharts/defaulttheme/renderers/ItemSelectionCategoryBarRenderer.java
===================================================================
--- TXM/trunk/bundles/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/themes/highcharts/defaulttheme/renderers/ItemSelectionCategoryBarRenderer.java	(revision 3834)
+++ TXM/trunk/bundles/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/themes/highcharts/defaulttheme/renderers/ItemSelectionCategoryBarRenderer.java	(revision 3835)
@@ -40,7 +40,7 @@
 		this.mouseOverItemSelector = new MouseOverItemSelector(this);
 		
 		// Default Values format
-		this.valuesNumberFormat = new DecimalFormat("#0.####");
+		this.valuesNumberFormat = new DecimalFormat("#0.####"); //$NON-NLS-1$
 		
 		
 		// Labels
@@ -144,14 +144,14 @@
 				
 				// Hexadecimal color
 				Color color = (Color) getSeriesPaint(row);
-				String hex = "#" + Integer.toHexString(color.getRGB()).substring(2);
+				String hex = "#" + Integer.toHexString(color.getRGB()).substring(2); //$NON-NLS-1$
 				
 				DefaultCategoryDataset catDataset = (DefaultCategoryDataset) dataset;
 				Number value = catDataset.getValue(row, column);
 				
-				return CustomHTMLToolTip.getDefaultHTMLBody(renderer, hex) + "<p>" + catDataset.getColumnKey(column) + "</p><p><span style=\"color: " + hex + ";\">" + catDataset.getRowKey(row)
-						+ "</span>"
-						+ ChartsEngineCoreMessages.EMPTY + " <b>" + valuesNumberFormat.format(value) + "</b></p></body><html>";
+				return CustomHTMLToolTip.getDefaultHTMLBody(renderer, hex) + "<p>" + catDataset.getColumnKey(column) + "</p><p><span style=\"color: " + hex + ";\">" + catDataset.getRowKey(row) //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
+						+ "</span>" //$NON-NLS-1$
+						+ ChartsEngineCoreMessages.EMPTY + " <b>" + valuesNumberFormat.format(value) + "</b></p></body><html>"; //$NON-NLS-1$ //$NON-NLS-2$
 			}
 		});
 	}
Index: TXM/trunk/bundles/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/themes/highcharts/defaulttheme/renderers/ItemSelectionXYBarRenderer.java
===================================================================
--- TXM/trunk/bundles/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/themes/highcharts/defaulttheme/renderers/ItemSelectionXYBarRenderer.java	(revision 3834)
+++ TXM/trunk/bundles/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/themes/highcharts/defaulttheme/renderers/ItemSelectionXYBarRenderer.java	(revision 3835)
@@ -70,7 +70,7 @@
 				// Hexadecimal color
 				Color color = (Color) getSeriesPaint(series);
 				if (color != null) {
-					String hex = "#" + Integer.toHexString(color.getRGB()).substring(2);
+					String hex = "#" + Integer.toHexString(color.getRGB()).substring(2); //$NON-NLS-1$
 					
 					XYDataset xyDataset = (XYDataset) dataset;
 					Number value = xyDataset.getY(series, item);
@@ -86,10 +86,10 @@
 						label = String.valueOf(xyDataset.getXValue(series, item));
 					}
 					
-					return CustomHTMLToolTip.getDefaultHTMLBody(renderer, hex) + "<p>" + label + "</p><p><span style=\"color: " + hex + ";\">" + xyDataset.getSeriesKey(series) + "</span>"
-							+ ChartsEngineCoreMessages.EMPTY + " <b>" + RendererUtils.valuesNumberFormat.format(value) + "</b></p></body><html>";
+					return CustomHTMLToolTip.getDefaultHTMLBody(renderer, hex) + "<p>" + label + "</p><p><span style=\"color: " + hex + ";\">" + xyDataset.getSeriesKey(series) + "</span>" //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$
+							+ ChartsEngineCoreMessages.EMPTY + " <b>" + RendererUtils.valuesNumberFormat.format(value) + "</b></p></body><html>"; //$NON-NLS-1$ //$NON-NLS-2$
 				}
-				return "";
+				return ""; //$NON-NLS-1$
 			}
 		});
 	}
Index: TXM/trunk/bundles/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/themes/highcharts/defaulttheme/renderers/ItemSelectionCategoryLineAndShapeRenderer.java
===================================================================
--- TXM/trunk/bundles/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/themes/highcharts/defaulttheme/renderers/ItemSelectionCategoryLineAndShapeRenderer.java	(revision 3834)
+++ TXM/trunk/bundles/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/themes/highcharts/defaulttheme/renderers/ItemSelectionCategoryLineAndShapeRenderer.java	(revision 3835)
@@ -83,11 +83,11 @@
 				
 				// Hexadecimal color
 				Color color = (Color) getSeriesPaint(row);
-				String hex = "#" + Integer.toHexString(color.getRGB()).substring(2);
+				String hex = "#" + Integer.toHexString(color.getRGB()).substring(2); //$NON-NLS-1$
 				
 				DefaultCategoryDataset catDataset = (DefaultCategoryDataset) dataset;
-				return CustomHTMLToolTip.getDefaultHTMLBody(renderer, hex) + "<p>" + catDataset.getColumnKey(column) + "</p><p><span style=\"color: " + hex + ";\">" + catDataset.getRowKey(row)
-						+ ChartsEngineCoreMessages.EMPTY + " </span><b>" + catDataset.getValue(row, column) + "</b></p></body><html>";
+				return CustomHTMLToolTip.getDefaultHTMLBody(renderer, hex) + "<p>" + catDataset.getColumnKey(column) + "</p><p><span style=\"color: " + hex + ";\">" + catDataset.getRowKey(row) //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
+						+ ChartsEngineCoreMessages.EMPTY + " </span><b>" + catDataset.getValue(row, column) + "</b></p></body><html>"; //$NON-NLS-1$ //$NON-NLS-2$
 			}
 		});
 	}
Index: TXM/trunk/bundles/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/themes/highcharts/defaulttheme/renderers/ItemSelectionCategoryStepRenderer.java
===================================================================
--- TXM/trunk/bundles/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/themes/highcharts/defaulttheme/renderers/ItemSelectionCategoryStepRenderer.java	(revision 3834)
+++ TXM/trunk/bundles/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/themes/highcharts/defaulttheme/renderers/ItemSelectionCategoryStepRenderer.java	(revision 3835)
@@ -41,7 +41,7 @@
 		this.mouseOverItemSelector = new MouseOverItemSelector(this);
 		
 		// Default Values format
-		String pattern = new String("#0.####");
+		String pattern = new String("#0.####"); //$NON-NLS-1$
 		this.valuesNumberFormat = new DecimalFormat(pattern);
 		
 		// Labels
@@ -69,14 +69,14 @@
 				
 				// Hexadecimal color
 				Color color = (Color) getSeriesPaint(row);
-				String hex = "#" + Integer.toHexString(color.getRGB()).substring(2);
+				String hex = "#" + Integer.toHexString(color.getRGB()).substring(2); //$NON-NLS-1$
 				
 				DefaultCategoryDataset catDataset = (DefaultCategoryDataset) dataset;
 				Number value = catDataset.getValue(row, column);
 				
-				return CustomHTMLToolTip.getDefaultHTMLBody(renderer, hex) + "<p>" + catDataset.getColumnKey(column) + "</p><p><span style=\"color: " + hex + ";\">" + catDataset.getRowKey(row)
+				return CustomHTMLToolTip.getDefaultHTMLBody(renderer, hex) + "<p>" + catDataset.getColumnKey(column) + "</p><p><span style=\"color: " + hex + ";\">" + catDataset.getRowKey(row) //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
 						+ ChartsEngineCoreMessages.EMPTY
-						+ " </span><b>" + valuesNumberFormat.format(value) + "</b></p></body><html>";
+						+ " </span><b>" + valuesNumberFormat.format(value) + "</b></p></body><html>"; //$NON-NLS-1$ //$NON-NLS-2$
 			}
 		});
 	}
Index: TXM/trunk/bundles/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/themes/highcharts/defaulttheme/renderers/ItemSelectionXYCardinalSplineRenderer.java
===================================================================
--- TXM/trunk/bundles/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/themes/highcharts/defaulttheme/renderers/ItemSelectionXYCardinalSplineRenderer.java	(revision 3834)
+++ TXM/trunk/bundles/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/themes/highcharts/defaulttheme/renderers/ItemSelectionXYCardinalSplineRenderer.java	(revision 3835)
@@ -95,12 +95,12 @@
 				
 				// Hexadecimal color
 				Color color = (Color) getSeriesPaint(series);
-				String hex = "#" + Integer.toHexString(color.getRGB()).substring(2);
+				String hex = "#" + Integer.toHexString(color.getRGB()).substring(2); //$NON-NLS-1$
 				
 				XYSeriesCollection xyDataset = (XYSeriesCollection) dataset;
-				return CustomHTMLToolTip.getDefaultHTMLBody(renderer, hex) + "<p><span style=\"color: " + hex + ";\">" + xyDataset.getSeriesKey(series) + "</span></p><p><b>"
+				return CustomHTMLToolTip.getDefaultHTMLBody(renderer, hex) + "<p><span style=\"color: " + hex + ";\">" + xyDataset.getSeriesKey(series) + "</span></p><p><b>" //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
 						+ RendererUtils.valuesNumberFormat.format(xyDataset.getSeries(series).getY(item))
-						+ ChartsEngineCoreMessages.EMPTY + " </b><b>" + RendererUtils.valuesNumberFormat.format(xyDataset.getSeries(series).getX(item)) + "</b></p></body><html>";
+						+ ChartsEngineCoreMessages.EMPTY + " </b><b>" + RendererUtils.valuesNumberFormat.format(xyDataset.getSeries(series).getX(item)) + "</b></p></body><html>"; //$NON-NLS-1$ //$NON-NLS-2$
 			}
 		});
 		
Index: TXM/trunk/bundles/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/themes/highcharts/defaulttheme/HighchartsDefaultTheme.java
===================================================================
--- TXM/trunk/bundles/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/themes/highcharts/defaulttheme/HighchartsDefaultTheme.java	(revision 3834)
+++ TXM/trunk/bundles/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/themes/highcharts/defaulttheme/HighchartsDefaultTheme.java	(revision 3835)
@@ -67,19 +67,19 @@
 	 * @param name
 	 */
 	public HighchartsDefaultTheme(JFCChartsEngine chartsEngine) {
-		super(chartsEngine, "Highcharts - Default"); // $NON-NLS-1$
+		super(chartsEngine, "Highcharts - Default"); // $NON-NLS-1$ //$NON-NLS-1$
 		
 		
 		// Title
-		this.setTitlePaint(Color.decode("#4B4B6D"));
-		this.setSubtitlePaint(Color.decode("#4B4B6D"));
+		this.setTitlePaint(Color.decode("#4B4B6D")); //$NON-NLS-1$
+		this.setSubtitlePaint(Color.decode("#4B4B6D")); //$NON-NLS-1$
 		
 		// Axis
-		this.setAxisLabelPaint(Color.decode("#4D759E"));
+		this.setAxisLabelPaint(Color.decode("#4D759E")); //$NON-NLS-1$
 		this.setAxisOffset(new RectangleInsets(0, 0, 0, 0));
 		
 		// Labels
-		this.setItemLabelPaint(Color.decode("#333333"));
+		this.setItemLabelPaint(Color.decode("#333333")); //$NON-NLS-1$
 		
 		// Grid
 		this.setGridBandPaint(Color.white);
@@ -89,11 +89,11 @@
 		this.setChartBackgroundPaint(Color.white);
 		
 		// Legends
-		this.setLegendItemPaint(Color.decode("#274B6D"));
+		this.setLegendItemPaint(Color.decode("#274B6D")); //$NON-NLS-1$
 		
 		
 		this.setPlotBackgroundPaint(Color.white);
-		this.setTickLabelPaint(Color.decode("#666666"));
+		this.setTickLabelPaint(Color.decode("#666666")); //$NON-NLS-1$
 		
 		// TODO : useless for this theme ?
 		// this.setBaselinePaint(Color.decode("#C0D0E0"));
@@ -103,10 +103,10 @@
 		// Series paints (Highchart color codes)
 		// FIXME: SJ: this should be moved to a preference as discussed
 		this.seriesPaints = new ArrayList<Color>();
-		this.seriesPaints.add(0, Color.decode("#2F7ED8")); // Blue
-		this.seriesPaints.add(1, Color.decode("#0D233A")); // Dark blue
-		this.seriesPaints.add(2, Color.decode("#8BBC21")); // Green
-		this.seriesPaints.add(3, Color.decode("#910000")); // Red
+		this.seriesPaints.add(0, Color.decode("#2F7ED8")); // Blue //$NON-NLS-1$
+		this.seriesPaints.add(1, Color.decode("#0D233A")); // Dark blue //$NON-NLS-1$
+		this.seriesPaints.add(2, Color.decode("#8BBC21")); // Green //$NON-NLS-1$
+		this.seriesPaints.add(3, Color.decode("#910000")); // Red //$NON-NLS-1$
 		
 		
 		
Index: TXM/trunk/bundles/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/themes/base/SymbolAxisBetweenTicks.java
===================================================================
--- TXM/trunk/bundles/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/themes/base/SymbolAxisBetweenTicks.java	(revision 3834)
+++ TXM/trunk/bundles/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/themes/base/SymbolAxisBetweenTicks.java	(revision 3835)
@@ -218,7 +218,7 @@
 					tickLabel = valueToString(currentTickValue);
 				}
 				if (tickLabel == null) {
-					tickLabel = "";
+					tickLabel = ""; //$NON-NLS-1$
 				}
 				
 				// avoid to draw overlapping tick labels
@@ -236,7 +236,7 @@
 					}
 				}
 				if (tickLabelsOverlapping) {
-					tickLabel = ""; // don't draw this tick label
+					tickLabel = ""; // don't draw this tick label //$NON-NLS-1$
 				}
 				else {
 					// remember these values for next comparison
@@ -267,7 +267,7 @@
 						rotationAnchor = TextAnchor.TOP_CENTER;
 					}
 				}
-				if (tickLabel != "") {
+				if (tickLabel != "") { //$NON-NLS-1$
 					float l;
 					if (RectangleEdge.isLeftOrRight(edge)) {
 						l = (float) dataArea.getWidth();
Index: TXM/trunk/bundles/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/themes/base/JFCTheme.java
===================================================================
--- TXM/trunk/bundles/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/themes/base/JFCTheme.java	(revision 3834)
+++ TXM/trunk/bundles/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/themes/base/JFCTheme.java	(revision 3835)
@@ -79,7 +79,7 @@
 	/**
 	 * Global Font name.
 	 */
-	protected String baseFontName = "Lucida Sans Unicode";
+	protected String baseFontName = "Lucida Sans Unicode"; //$NON-NLS-1$
 	
 	/**
 	 * Fonts points to add for other font than regular with regular as base font.
@@ -94,7 +94,7 @@
 	/**
 	 * Grid lines color.
 	 */
-	protected Color gridLinesColor = Color.decode("#C0C0C0");
+	protected Color gridLinesColor = Color.decode("#C0C0C0"); //$NON-NLS-1$
 	
 	
 	
